# cv::Mat::MStep Struct Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions

| MStep ()
| MStep (size_t s)
| operator size_t () const
MStep & | operator= (size_t s)
size_t & | operator[] (int i)
size_t | operator[] (int i) const

## Public Attributes

size_t | buf [2]
size_t * | p

## Protected Member Functions

MStep & | operator= (const MStep &)

## Constructor & Destructor Documentation

cv::Mat::MStep::MStep | ( | ) | `[inline]`

cv::Mat::MStep::MStep | ( | size_t | s ) | `[inline]`

## Member Function Documentation

cv::Mat::MStep::operator size_t | ( | ) | const`[inline]`

MStep& cv::Mat::MStep::operator= | ( | const MStep & | ) | `[protected]`

Mat::MStep & cv::Mat::MStep::operator= | ( | size_t | s ) | `[inline]`

size_t cv::Mat::MStep::operator[] | ( | int | i ) | const`[inline]`

size_t & cv::Mat::MStep::operator[] | ( | int | i ) | `[inline]`

## Member Data Documentation

size_t cv::Mat::MStep::buf[2]

size_t* cv::Mat::MStep::p

The documentation for this struct was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines